package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: 任务类型
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public enum TaskTypeEnum {

    calculate_exam_score("考试重新算分"),

    import_exam_student("导入考生"),

    import_exam_paper("导入试卷"),

    import_invigilate_user("导入监考员"),

    export_invigilate_user("导出监考员");

    private String code;

    private TaskTypeEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    /**
     * 状态转换 toId
     *
     * @param value
     * @return
     */
    public static String convertToCode(String value) {
        if (Objects.equals(value.trim(), calculate_exam_score.name())) {
            return calculate_exam_score.getCode();
        } else if (Objects.equals(value.trim(), import_exam_student.name())) {
            return import_exam_student.getCode();
        } else if (Objects.equals(value.trim(), import_exam_paper.name())) {
            return import_exam_paper.getCode();
        } else if (Objects.equals(value.trim(), import_invigilate_user.name())) {
            return import_invigilate_user.getCode();
        } else {
            return export_invigilate_user.getCode();
        }
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        if (Objects.equals(value.trim(), calculate_exam_score.getCode())) {
            return calculate_exam_score.name();
        } else if (Objects.equals(value.trim(), import_exam_student.getCode())) {
            return import_exam_student.name();
        } else if (Objects.equals(value.trim(), import_exam_paper.getCode())) {
            return import_exam_paper.name();
        } else if (Objects.equals(value.trim(), import_invigilate_user.getCode())) {
            return import_invigilate_user.name();
        } else {
            return export_invigilate_user.name();
        }
    }
}
